Bug 208973 - www/hiawatha - [PATCH] request for v10.1
Summary: www/hiawatha - [PATCH] request for v10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lars Engels
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-04-22 11:15 UTC by Fred
Modified: 2016-04-24 10:23 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments
patch for www/hiawatha (svn diff) (1.26 KB, patch)
2016-04-23 23:18 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
Build log for www/hiawatha (16.72 KB, text/plain)
2016-04-23 23:20 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fred 2016-04-22 11:15:45 UTC
Hello, 

The developer of Hiawatha has reported a bug in version 10.1.
The bug prevent the user to use the HideProxy option.
Please see look at this entry on the author's website:
https://www.hiawatha-webserver.org/forum/topic/2209/#11399

How to fix the issue:
Edit src/http.c and change lines 848 and 849 to:

while ((forwarded = strcasestr(forwarded, "for=")) != NULL) {
    begin = forwarded + 4;
Comment 1 Chris Hutchinson 2016-04-23 01:36:28 UTC
(In reply to Fred from comment #0)
> Hello, 
> 
> The developer of Hiawatha has reported a bug in version 10.1.
> The bug prevent the user to use the HideProxy option.
> Please see look at this entry on the author's website:
> https://www.hiawatha-webserver.org/forum/topic/2209/#11399
> 
> How to fix the issue:
> Edit src/http.c and change lines 848 and 849 to:
> 
> while ((forwarded = strcasestr(forwarded, "for=")) != NULL) {
>     begin = forwarded + 4;

Hello, Fred. Thanks for the heads-up. I should be able to
update the port sometime this weekend.

Thanks again.

--Chris
Comment 2 Chris Hutchinson 2016-04-23 23:18:07 UTC
Created attachment 169614 [details]
patch for www/hiawatha (svn diff)

add files/patch-src__http.c to correct issue noted by this pr(1)'s
reporter (Fred).

Bump (add) PORTREVISION

That's it!

Thanks!

--Chris
Comment 3 Chris Hutchinson 2016-04-23 23:20:25 UTC
Created attachment 169615 [details]
Build log for www/hiawatha
Comment 4 commit-hook freebsd_committer 2016-04-24 10:22:53 UTC
A commit references this bug:

Author: lme
Date: Sun Apr 24 10:22:48 UTC 2016
New revision: 413934
URL: https://svnweb.freebsd.org/changeset/ports/413934

Log:
  - Add a fix to enable HideProxy function
  - Bump PORTREVISION

  PR:		208973
  Submitted by:	Fred <fred@trinitech.co.uk>
  Approved by:	maintainer
  Sponsored by:	Essen Linuxhotel Hackathon 2016

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/files/patch-src__http.c
Comment 5 Lars Engels freebsd_committer 2016-04-24 10:23:20 UTC
Comitted with minor changes (make makepatch), thanks!